package com.fjhx.mes.service.border;

import com.fjhx.mes.entity.border.po.BorderOfLine;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.border.vo.BorderOfLineVo;
import com.fjhx.mes.entity.border.dto.BorderOfLineSelectDto;
import com.fjhx.mes.entity.border.dto.BorderOfLineDto;


/**
 * <p>
 * 线边管理 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-31
 */
public interface BorderOfLineService extends BaseService<BorderOfLine> {

    /**
     * 线边管理分页
     */
    Page<BorderOfLineVo> getPage(BorderOfLineSelectDto dto);

    /**
     * 线边管理明细
     */
    BorderOfLineVo detail(BorderOfLineDto dto);

    /**
     * 线边管理新增
     */
    void add(BorderOfLineDto borderOfLineDto);

    /**
     * 线边管理编辑
     */
    void edit(BorderOfLineDto borderOfLineDto);

    /**
     * 线边管理删除
     */
    void delete(Long id);

}
